This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 853842 - [FEAT] CLI to set brick's root directories' permission.
[FEAT] CLI to set brick's root directories' permission.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 02:17 EDT by krishnan parthasarathi
Modified: 2015-11-03 18:04 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:11:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description krishnan parthasarathi 2012-09-03 02:17:26 EDT
Description of problem:
CLI to change owner/group for root ("/") of all the bricks which are part of a volume. 

# gluster volume set VOLNAME exportdir-perm <uid>:<gid>

would set owner:group as uid:gid for "/" on all bricks in the volume VOLNAME.

Version-Release number of selected component (if applicable):


How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 krishnan parthasarathi 2012-10-01 13:04:43 EDT
The requirement for gluster CLI to set user/owner permissions on all bricks of a volume has been addressed by two volume-set commands as follows,
  gluster volume set VOLNAME owner-uid uid
  gluster volume set VOLNAME owner-gid gid
    where uid,gid are the owner's user id and group id respectively.

The patch that does that is http://review.gluster.org/3891.
Comment 2 Vijay Bellur 2013-01-21 13:07:25 EST
CHANGE: http://review.gluster.org/4398 (cli: fix descriptions of owner-uid and owner-gid) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.